import { Host } from './Host';
import { MetaPortType, MetaDiscovererType } from '../meta';
import { Service } from './Service';

export interface Port {
  metaPortType?: MetaPortType;
  portNumber?: number;

  meta?: Map<string, Map<string, string>>;
  discoveredBy?: MetaDiscovererType[];
  discoveredDate?: Date;

  host?: Host;
  serviceList?: Service[];
}
